<?php

/**
 * This is the model base class for the table "dispositivo".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Dispositivo".
 *
 * Columns in table "dispositivo" available as properties of the model,
 * followed by relations of table "dispositivo" available as properties of the model.
 *
 * @property integer $dispositivo_id
 * @property integer $usuario_id
 * @property string $token
 * @property string $lat_long
 * @property string $modelo_disp
 * @property string $disp_fecha_registro
 *
 * @property Usuario $usuario
 */
abstract class BaseDispositivo extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'dispositivo';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Dispositivo|Dispositivos', $n);
	}

	public static function representingColumn() {
		return 'token';
	}

	public function rules() {
		return array(
			array('usuario_id, token, lat_long, modelo_disp, disp_fecha_registro', 'required'),
			array('usuario_id', 'numerical', 'integerOnly'=>true),
			array('lat_long, modelo_disp', 'length', 'max'=>100),
			array('dispositivo_id, usuario_id, token, lat_long, modelo_disp, disp_fecha_registro', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'dispositivo_id' => Yii::t('app', 'Dispositivo'),
			'usuario_id' => null,
			'token' => Yii::t('app', 'Token'),
			'lat_long' => Yii::t('app', 'Lat Long'),
			'modelo_disp' => Yii::t('app', 'Modelo Disp'),
			'disp_fecha_registro' => Yii::t('app', 'Disp Fecha Registro'),
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('dispositivo_id', $this->dispositivo_id);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('token', $this->token, true);
		$criteria->compare('lat_long', $this->lat_long, true);
		$criteria->compare('modelo_disp', $this->modelo_disp, true);
		$criteria->compare('disp_fecha_registro', $this->disp_fecha_registro, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}