<?php

/**
 * This is the model base class for the table "noticias".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Noticias".
 *
 * Columns in table "noticias" available as properties of the model,
 * followed by relations of table "noticias" available as properties of the model.
 *
 * @property integer $noticia_id
 * @property string $imagen
 * @property string $descripcion
 * @property integer $usuario_id
 * @property string $noticia_fecha
 * @property string $noticia_hora
 * @property integer $estado_id
 *
 * @property Usuario $usuario
 */
abstract class BaseNoticias extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'noticias';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Noticias|Noticiases', $n);
	}

	public static function representingColumn() {
		return 'imagen';
	}

	public function rules() {
		return array(
			array('usuario_id, estado_id', 'required'),
			array('usuario_id, estado_id', 'numerical', 'integerOnly'=>true),
			array('imagen', 'length', 'max'=>500),
			array('descripcion', 'length', 'max'=>200),
			array('noticia_fecha, noticia_hora', 'safe'),
			array('imagen, descripcion, noticia_fecha, noticia_hora', 'default', 'setOnEmpty' => true, 'value' => null),
			array('noticia_id, imagen, descripcion, usuario_id, noticia_fecha, noticia_hora, estado_id', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'noticia_id' => Yii::t('app', 'Noticia'),
			'imagen' => Yii::t('app', 'Imagen'),
			'descripcion' => Yii::t('app', 'Descripcion'),
			'usuario_id' => null,
			'noticia_fecha' => Yii::t('app', 'Noticia Fecha'),
			'noticia_hora' => Yii::t('app', 'Noticia Hora'),
			'estado_id' => Yii::t('app', 'Estado'),
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('noticia_id', $this->noticia_id);
		$criteria->compare('imagen', $this->imagen, true);
		$criteria->compare('descripcion', $this->descripcion, true);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('noticia_fecha', $this->noticia_fecha, true);
		$criteria->compare('noticia_hora', $this->noticia_hora, true);
		$criteria->compare('estado_id', $this->estado_id);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}