<?php

/**
 * This is the model base class for the table "per_noti_form".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PerNotiForm".
 *
 * Columns in table "per_noti_form" available as properties of the model,
 * followed by relations of table "per_noti_form" available as properties of the model.
 *
 * @property integer $per_noti_form_id
 * @property integer $formulario_id
 * @property string $fecha_recepcion
 * @property integer $form_recibido_por_id
 * @property integer $form_notificado_por
 * @property string $fecha_notificacion
 * @property string $descripcion_decreto
 * @property string $url_img_decreto
 *
 * @property Formulario $formulario
 */
abstract class BasePerNotiForm extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'per_noti_form';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'PerNotiForm|PerNotiForms', $n);
	}

	public static function representingColumn() {
		return 'fecha_recepcion';
	}

	public function rules() {
		return array(
			array('formulario_id, fecha_recepcion, form_recibido_por_id', 'required'),
			array('formulario_id, form_recibido_por_id, form_notificado_por', 'numerical', 'integerOnly'=>true),
			array('url_img_decreto', 'length', 'max'=>500),
			array('fecha_notificacion, descripcion_decreto', 'safe'),
			array('form_notificado_por, fecha_notificacion, descripcion_decreto, url_img_decreto', 'default', 'setOnEmpty' => true, 'value' => null),
			array('per_noti_form_id, formulario_id, fecha_recepcion, form_recibido_por_id, form_notificado_por, fecha_notificacion, descripcion_decreto, url_img_decreto', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'formulario' => array(self::BELONGS_TO, 'Formulario', 'formulario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'per_noti_form_id' => Yii::t('app', 'Per Noti Form'),
			'formulario_id' => null,
			'fecha_recepcion' => Yii::t('app', 'Fecha Recepcion'),
			'form_recibido_por_id' => Yii::t('app', 'Form Recibido Por'),
			'form_notificado_por' => Yii::t('app', 'Form Notificado Por'),
			'fecha_notificacion' => Yii::t('app', 'Fecha Notificacion'),
			'descripcion_decreto' => Yii::t('app', 'Descripcion Decreto'),
			'url_img_decreto' => Yii::t('app', 'Url Img Decreto'),
			'formulario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('per_noti_form_id', $this->per_noti_form_id);
		$criteria->compare('formulario_id', $this->formulario_id);
		$criteria->compare('fecha_recepcion', $this->fecha_recepcion, true);
		$criteria->compare('form_recibido_por_id', $this->form_recibido_por_id);
		$criteria->compare('form_notificado_por', $this->form_notificado_por);
		$criteria->compare('fecha_notificacion', $this->fecha_notificacion, true);
		$criteria->compare('descripcion_decreto', $this->descripcion_decreto, true);
		$criteria->compare('url_img_decreto', $this->url_img_decreto, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}