<?php

/**
 * This is the model base class for the table "recibo".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Recibo".
 *
 * Columns in table "recibo" available as properties of the model,
 * followed by relations of table "recibo" available as properties of the model.
 *
 * @property integer $recibo_id
 * @property string $pdf
 * @property string $descripcion_pdf
 * @property integer $usuario_id
 *
 * @property Usuario $usuario
 */
abstract class BaseRecibo extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'recibo';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Recibo|Recibos', $n);
	}

	public static function representingColumn() {
		return 'pdf';
	}

	public function rules() {
		return array(
			array('pdf, descripcion_pdf, usuario_id', 'required'),
			array('usuario_id', 'numerical', 'integerOnly'=>true),
			array('pdf', 'length', 'max'=>500),
			array('descripcion_pdf', 'length', 'max'=>150),
			array('recibo_id, pdf, descripcion_pdf, usuario_id', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'recibo_id' => Yii::t('app', 'Recibo'),
			'pdf' => Yii::t('app', 'Pdf'),
			'descripcion_pdf' => Yii::t('app', 'Descripcion Pdf'),
			'usuario_id' => null,
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('recibo_id', $this->recibo_id);
		$criteria->compare('pdf', $this->pdf, true);
		$criteria->compare('descripcion_pdf', $this->descripcion_pdf, true);
		$criteria->compare('usuario_id', $this->usuario_id);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}