<?php

/**
 * This is the model base class for the table "sesiones".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Sesiones".
 *
 * Columns in table "sesiones" available as properties of the model,
 * followed by relations of table "sesiones" available as properties of the model.
 *
 * @property integer $sesiones_id
 * @property integer $usuario_id
 * @property string $fecha_hora_sesion
 * @property string $sesiones_ubicacion
 * @property string $dispositivo_sesion
 *
 * @property Usuario $usuario
 */
abstract class BaseSesiones extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'sesiones';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Sesiones|Sesiones', $n);
	}

	public static function representingColumn() {
		return 'fecha_hora_sesion';
	}

	public function rules() {
		return array(
			array('usuario_id, fecha_hora_sesion, sesiones_ubicacion, dispositivo_sesion', 'required'),
			array('usuario_id', 'numerical', 'integerOnly'=>true),
			array('sesiones_ubicacion', 'length', 'max'=>100),
			array('sesiones_id, usuario_id, fecha_hora_sesion, sesiones_ubicacion, dispositivo_sesion', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'sesiones_id' => Yii::t('app', 'Sesiones'),
			'usuario_id' => null,
			'fecha_hora_sesion' => Yii::t('app', 'Fecha Hora Sesion'),
			'sesiones_ubicacion' => Yii::t('app', 'Sesiones Ubicacion'),
			'dispositivo_sesion' => Yii::t('app', 'Dispositivo Sesion'),
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('sesiones_id', $this->sesiones_id);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('fecha_hora_sesion', $this->fecha_hora_sesion, true);
		$criteria->compare('sesiones_ubicacion', $this->sesiones_ubicacion, true);
		$criteria->compare('dispositivo_sesion', $this->dispositivo_sesion, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}