<?php

/**
 * This is the model base class for the table "user_sis_personal".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "UserSisPersonal".
 *
 * Columns in table "user_sis_personal" available as properties of the model,
 * followed by relations of table "user_sis_personal" available as properties of the model.
 *
 * @property integer $user_per_id
 * @property integer $usuario_id
 * @property integer $rol_en_personal_id
 * @property integer $estado_id
 *
 * @property RolEnPersonal $rolEnPersonal
 * @property Usuario $usuario
 */
abstract class BaseUserSisPersonal extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'user_sis_personal';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'UserSisPersonal|UserSisPersonals', $n);
	}

	public static function representingColumn() {
		return 'user_per_id';
	}

	public function rules() {
		return array(
			array('usuario_id, rol_en_personal_id', 'required'),
			array('usuario_id, rol_en_personal_id, estado_id', 'numerical', 'integerOnly'=>true),
			array('estado_id', 'default', 'setOnEmpty' => true, 'value' => null),
			array('user_per_id, usuario_id, rol_en_personal_id, estado_id', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'rolEnPersonal' => array(self::BELONGS_TO, 'RolEnPersonal', 'rol_en_personal_id'),
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'user_per_id' => Yii::t('app', 'User Per'),
			'usuario_id' => null,
			'rol_en_personal_id' => null,
			'estado_id' => Yii::t('app', 'Estado'),
			'rolEnPersonal' => null,
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('user_per_id', $this->user_per_id);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('rol_en_personal_id', $this->rol_en_personal_id);
		$criteria->compare('estado_id', $this->estado_id);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}