<?php

/**
 * This is the model base class for the table "usuario".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Usuario".
 *
 * Columns in table "usuario" available as properties of the model,
 * followed by relations of table "usuario" available as properties of the model.
 *
 * @property integer $usuario_id
 * @property string $usuario_nombre
 * @property string $usuario_apellido
 * @property integer $usuario_dni
 * @property string $usuario_cuil
 * @property string $usuario_legajo
 * @property string $usuario_provincia
 * @property string $usuario_depto
 * @property string $usuario_calle
 * @property string $usuario_casa_numero
 * @property string $usuario_fecha_nacimiento
 * @property string $usuario_email
 * @property string $usuario_biografia
 * @property string $usuario_telefono
 * @property string $usuario_profesion
 * @property string $usuario_clave
 * @property string $usuario_foto_perfil
 * @property string $usuario_facebook
 * @property string $usuario_instagram
 * @property integer $cargo_id
 * @property integer $tipo_usuario_id
 * @property integer $estado_id
 * @property integer $entidad_id
 * @property integer $area_id
 * @property integer $categoria_id
 * @property string $editado_el
 *
 * @property Dispositivo[] $dispositivos
 * @property Encargados[] $encargadoses
 * @property Encuesta[] $encuestas
 * @property Formulario[] $formularios
 * @property FotoPerfilUsuario[] $fotoPerfilUsuarios
 * @property Noticias[] $noticiases
 * @property PerPrintFor[] $perPrintFors
 * @property Reacciones[] $reacciones
 * @property Recibo[] $recibos
 * @property RecuperacionClaveUser[] $recuperacionClaveUsers
 * @property SesionBiometrica[] $sesionBiometricas
 * @property Sesiones[] $sesiones
 * @property UserSisPersonal[] $userSisPersonals
 * @property Area $area
 * @property Cargo $cargo
 * @property Categoria $categoria
 * @property Entidad $entidad
 * @property Estado $estado
 * @property TipoUsuario $tipoUsuario
 */
abstract class BaseUsuario extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'usuario';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Usuario|Usuarios', $n);
	}

	public static function representingColumn() {
		return 'usuario_nombre';
	}

	public function rules() {
		return array(
			array('usuario_nombre, usuario_apellido, usuario_dni, usuario_cuil, usuario_legajo, usuario_clave', 'required'),
			array('usuario_dni, cargo_id, tipo_usuario_id, estado_id, entidad_id, area_id, categoria_id', 'numerical', 'integerOnly'=>true),
			array('usuario_nombre, usuario_apellido, usuario_provincia, usuario_depto, usuario_calle, usuario_email, usuario_profesion, usuario_facebook, usuario_instagram', 'length', 'max'=>100),
			array('usuario_telefono', 'length', 'max'=>30),
			array('usuario_clave', 'length', 'max'=>50),
			array('usuario_foto_perfil', 'length', 'max'=>500),
			array('usuario_casa_numero, usuario_fecha_nacimiento, usuario_biografia, editado_el', 'safe'),
			array('usuario_provincia, usuario_depto, usuario_calle, usuario_casa_numero, usuario_fecha_nacimiento, usuario_email, usuario_biografia, usuario_telefono, usuario_profesion, usuario_foto_perfil, usuario_facebook, usuario_instagram, cargo_id, tipo_usuario_id, estado_id, entidad_id, area_id, categoria_id, editado_el', 'default', 'setOnEmpty' => true, 'value' => null),
			array('usuario_id, usuario_nombre, usuario_apellido, usuario_dni, usuario_cuil, usuario_legajo, usuario_provincia, usuario_depto, usuario_calle, usuario_casa_numero, usuario_fecha_nacimiento, usuario_email, usuario_biografia, usuario_telefono, usuario_profesion, usuario_clave, usuario_foto_perfil, usuario_facebook, usuario_instagram, cargo_id, tipo_usuario_id, estado_id, entidad_id, area_id, categoria_id, editado_el', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'dispositivos' => array(self::HAS_MANY, 'Dispositivo', 'usuario_id'),
			'encargadoses' => array(self::HAS_MANY, 'Encargados', 'id_encargado_area'),
			'encuestas' => array(self::HAS_MANY, 'Encuesta', 'usuario_id'),
			'formularios' => array(self::HAS_MANY, 'Formulario', 'usuario_id'),
			'fotoPerfilUsuarios' => array(self::HAS_MANY, 'FotoPerfilUsuario', 'usuario_id'),
			'noticiases' => array(self::HAS_MANY, 'Noticias', 'usuario_id'),
			'perPrintFors' => array(self::HAS_MANY, 'PerPrintFor', 'usuario_id'),
			'reacciones' => array(self::HAS_MANY, 'Reacciones', 'usuario_id'),
			'recibos' => array(self::HAS_MANY, 'Recibo', 'usuario_id'),
			'recuperacionClaveUsers' => array(self::HAS_MANY, 'RecuperacionClaveUser', 'usuario_id'),
			'sesionBiometricas' => array(self::HAS_MANY, 'SesionBiometrica', 'usuario_id'),
			'sesiones' => array(self::HAS_MANY, 'Sesiones', 'usuario_id'),
			'userSisPersonals' => array(self::HAS_MANY, 'UserSisPersonal', 'usuario_id'),
			'area' => array(self::BELONGS_TO, 'Area', 'area_id'),
			'cargo' => array(self::BELONGS_TO, 'Cargo', 'cargo_id'),
			'categoria' => array(self::BELONGS_TO, 'Categoria', 'categoria_id'),
			'entidad' => array(self::BELONGS_TO, 'Entidad', 'entidad_id'),
			'estado' => array(self::BELONGS_TO, 'Estado', 'estado_id'),
			'tipoUsuario' => array(self::BELONGS_TO, 'TipoUsuario', 'tipo_usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'usuario_id' => Yii::t('app', 'Usuario'),
			'usuario_nombre' => Yii::t('app', 'Usuario Nombre'),
			'usuario_apellido' => Yii::t('app', 'Usuario Apellido'),
			'usuario_dni' => Yii::t('app', 'Usuario Dni'),
			'usuario_cuil' => Yii::t('app', 'Usuario Cuil'),
			'usuario_legajo' => Yii::t('app', 'Usuario Legajo'),
			'usuario_provincia' => Yii::t('app', 'Usuario Provincia'),
			'usuario_depto' => Yii::t('app', 'Usuario Depto'),
			'usuario_calle' => Yii::t('app', 'Usuario Calle'),
			'usuario_casa_numero' => Yii::t('app', 'Usuario Casa Numero'),
			'usuario_fecha_nacimiento' => Yii::t('app', 'Usuario Fecha Nacimiento'),
			'usuario_email' => Yii::t('app', 'Usuario Email'),
			'usuario_biografia' => Yii::t('app', 'Usuario Biografia'),
			'usuario_telefono' => Yii::t('app', 'Usuario Telefono'),
			'usuario_profesion' => Yii::t('app', 'Usuario Profesion'),
			'usuario_clave' => Yii::t('app', 'Usuario Clave'),
			'usuario_foto_perfil' => Yii::t('app', 'Usuario Foto Perfil'),
			'usuario_facebook' => Yii::t('app', 'Usuario Facebook'),
			'usuario_instagram' => Yii::t('app', 'Usuario Instagram'),
			'cargo_id' => null,
			'tipo_usuario_id' => null,
			'estado_id' => null,
			'entidad_id' => null,
			'area_id' => null,
			'categoria_id' => null,
			'editado_el' => Yii::t('app', 'Editado El'),
			'dispositivos' => null,
			'encargadoses' => null,
			'encuestas' => null,
			'formularios' => null,
			'fotoPerfilUsuarios' => null,
			'noticiases' => null,
			'perPrintFors' => null,
			'reacciones' => null,
			'recibos' => null,
			'recuperacionClaveUsers' => null,
			'sesionBiometricas' => null,
			'sesiones' => null,
			'userSisPersonals' => null,
			'area' => null,
			'cargo' => null,
			'categoria' => null,
			'entidad' => null,
			'estado' => null,
			'tipoUsuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('usuario_nombre', $this->usuario_nombre, true);
		$criteria->compare('usuario_apellido', $this->usuario_apellido, true);
		$criteria->compare('usuario_dni', $this->usuario_dni);
		$criteria->compare('usuario_cuil', $this->usuario_cuil, true);
		$criteria->compare('usuario_legajo', $this->usuario_legajo, true);
		$criteria->compare('usuario_provincia', $this->usuario_provincia, true);
		$criteria->compare('usuario_depto', $this->usuario_depto, true);
		$criteria->compare('usuario_calle', $this->usuario_calle, true);
		$criteria->compare('usuario_casa_numero', $this->usuario_casa_numero, true);
		$criteria->compare('usuario_fecha_nacimiento', $this->usuario_fecha_nacimiento, true);
		$criteria->compare('usuario_email', $this->usuario_email, true);
		$criteria->compare('usuario_biografia', $this->usuario_biografia, true);
		$criteria->compare('usuario_telefono', $this->usuario_telefono, true);
		$criteria->compare('usuario_profesion', $this->usuario_profesion, true);
		$criteria->compare('usuario_clave', $this->usuario_clave, true);
		$criteria->compare('usuario_foto_perfil', $this->usuario_foto_perfil, true);
		$criteria->compare('usuario_facebook', $this->usuario_facebook, true);
		$criteria->compare('usuario_instagram', $this->usuario_instagram, true);
		$criteria->compare('cargo_id', $this->cargo_id);
		$criteria->compare('tipo_usuario_id', $this->tipo_usuario_id);
		$criteria->compare('estado_id', $this->estado_id);
		$criteria->compare('entidad_id', $this->entidad_id);
		$criteria->compare('area_id', $this->area_id);
		$criteria->compare('categoria_id', $this->categoria_id);
		$criteria->compare('editado_el', $this->editado_el, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}